<?php

declare(strict_types=1);

namespace Plugin\tnt_stabila_shop\src\Models;

use Plugin\tnt_stabila_shop\src\Abstracts\AbstractModel;

class Performance extends AbstractModel
{
    public static function getTable(): string
    {
        return 'stabila_shop_performance';
    }

    /**
     * @return array{
     *     id: 'int',
     *     pageType: 'int',
     *     totalExecutionInSeconds: 'float',
     *     createDate: 'datetime'
     * }
     */
    public static function getSchema(): array
    {
        return [
            'id'                      => 'int',
            'pageType'                => 'int',
            'totalExecutionInSeconds' => 'float',
            'createDate'              => 'datetime',
        ];
    }
}
